/* Payment Status */
.payment-status {
  margin: 50px 0;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 0;
}

@media (max-width: 992px) {
  .payment-status {
    margin: 30px 0;
  }
}

/* Payment Btns */
.payment-status button {
  padding: 7px 15px;
  border-radius: 50px;
  cursor: pointer;
  display: flex;
  align-items: center;
  gap: 5px;
  transition: all 0.5s ease;
  font-size: 14px;
  border: 1px solid var(--grey220);
  background-color: var(--secondary);
}

.payment-status button.active {
  background-color: var(--primary);
  color: var(--white);
}

.payment-status button:hover {
  color: var(--primary);
}

.payment-status button.active:hover {
  color: var(--white);
}

.payment-status button i {
  font-size: 16px;
}

@media (max-width: 687px) {
  .payment-status button {
    padding: 7px 10px;
    gap: 3px;
    font-size: 12px;
  }

  .payment-status button i {
    font-size: 14px;
  }
}

/* Payment Borders */
.payment-status .border {
  width: 50px;
  height: 2px;
  background-color: var(--primary);
}

@media (max-width: 687px) {
  .payment-status .border {
    width: 40px;
  }
}

/* Cart Layout */
.cart-layout {
  margin: 0 0 50px;
  display: grid;
  grid-template-columns: 1fr 300px;
  gap: 30px;
}

@media (max-width: 992px) {
  .cart-layout {
    grid-template-columns: repeat(1, 100%);
    gap: 30px;
  }
}

/* Right Part */
.cart-layout .right-part {
  display: flex;
  flex-direction: column;
  gap: 20px;
}

/* Address Part */
.address-part {
  background-color: var(--secondary);
  border-radius: 8px;
  padding: 20px;
  border: 1px solid rgb(220, 220, 220);
  display: grid;
  grid-template-columns: 1fr auto;
  gap: 20px;
  align-items: center;
}

/* Address Right Part */
.address-part .address-right {
  display: flex;
  flex-direction: column;
  gap: 15px;
}

.address-part .address-right a:nth-child(1) {
  color: var(--primary);
  font-size: 14px;
  width: fit-content;
}

.address-part .address-right div {
  display: flex;
  gap: 5px;
  align-items: center;
}

.address-part .address-right div i {
  font-size: 18px;
}

/* Address Left Part */
.address-part .address-left {
  display: flex;
  gap: 5px;
  align-items: center;
  color: var(--primary);
  font-size: 14px;
}

.address-part .address-left i {
  font-size: 18px;
}

@media (max-width: 687px) {
  .address-part {
    grid-template-columns: repeat(1, 100%);
  }

  .address-part .address-left {
    justify-self: end;
  }

  .address-part .address-right div i {
    font-size: 16px;
  }
}

/* Date Layout */
.right-part > .date-layout {
  display: flex;
  flex-direction: column;
  gap: 20px;
  background-color: var(--secondary);
  border: 1px solid rgb(220, 220, 220);
  border-radius: 8px;
  padding: 20px;
}

/* Usual Send & Special Send */
.usual-send-layout,
.special-send-layout {
  background-color: var(--white);
  padding: 20px;
  border-radius: 8px;
  width: 100%;
}

.usual-send-layout .title,
.special-send-layout .title {
  display: flex;
  justify-content: space-between;
  align-items: center;
  font-size: 14px;
  border-bottom: 1px solid var(--primary);
  padding-bottom: 5px;
}

.usual-send-layout div,
.special-send-layout div {
  display: flex;
  gap: 5px;
  align-items: center;
}

.usual-send-layout .title i,
.special-send-layout .title i {
  font-size: 18px;
}

/* Choose Time */
.choose-time-layout {
  margin: 30px 0 0;
  padding: 20px;
  border: 1px solid rgb(220, 220, 220);
  border-radius: 8px;
  display: flex;
  flex-direction: column;
  gap: 20px;
}

/* Date Layout */
.choose-time-layout .date-layout {
  width: 100%;
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  border-bottom: 1px solid rgb(220, 220, 220);
  padding-bottom: 10px;
  flex-wrap: wrap;
  gap: 20px;
}

.choose-time-layout .date-layout div {
  border-bottom: 2px solid var(--white);
  font-size: 14px;
  display: flex;
  flex-direction: column;
  gap: 10px;
  align-items: center;
}

.choose-time-layout .date-layout div.active {
  border-bottom: 2px solid var(--primary);
  padding-bottom: 5px;
}

/* Time Layout */
.choose-time-layout .time-layout {
  width: 100%;
  padding: 20px 0;
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  flex-wrap: wrap;
  gap: 15px;
}

.choose-time-layout .time-layout div {
  display: flex;
  align-items: center;
  gap: 5px;
  font-size: 14px;
}

@media (max-width: 687px) {
  .usual-send-layout .title i,
  .special-send-layout .title i {
    font-size: 16px;
  }
}

/* Left Part */
.cart-layout > .left-part {
  position: sticky;
  top: 30px;
  padding: 20px;
  background-color: var(--secondary);
  height: fit-content;
  border-radius: 8px;
  display: flex;
  flex-direction: column;
  gap: 25px;
  border: 1px solid rgb(220, 220, 220);
  max-width: 450px;
  width: 100%;
}

.cart-layout .left-part .price-part {
  display: flex;
  align-items: center;
  justify-content: space-between;
  font-size: 14px;
}

.cart-layout .left-part button {
  background-color: var(--primary);
  color: var(--white);
  padding: 7px 0;
  border-radius: 4px;
  transition: all 0.5s ease;
  cursor: pointer;
  border: 1px solid var(--grey220);
}

.cart-layout .left-part hr {
  width: 100%;
  border: 1px solid rgb(220, 220, 220);
}

.cart-layout .left-part button:hover {
  background-color: var(--white);
  color: var(--primary);
}

.cart-layout .left-part .score {
  text-align: center;
  font-size: 14px;
  color: var(--primary);
}

@media (max-width: 992px) {
  .cart-layout > .left-part {
    position: static;
    margin: auto;
  }
}
